Bug 855251 - [abrt] poedit-1.4.6.1-5.fc17: __memmove_ssse3_back: Process /usr/bin/poedit was killed by signal 11 (SIGSEGV)
[abrt] poedit-1.4.6.1-5.fc17: __memmove_ssse3_back: Process /usr/bin/poedit w...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: poedit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
abrt_hash:734ea09bb692adf9ad077e23bfd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 02:11 EDT by Timon
Modified: 2015-02-17 09:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.55 KB, text/plain)
2012-09-07 02:11 EDT, Timon
no flags Details
File: environ (3.50 KB, text/plain)
2012-09-07 02:11 EDT, Timon
no flags Details
File: backtrace (147.90 KB, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: maps (37.02 KB, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: dso_list (8.27 KB, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: var_log_messages (626 bytes, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
File: open_fds (468 bytes, text/plain)
2012-09-07 02:12 EDT, Timon
no flags Details
stack trace (20.08 KB, text/plain)
2012-10-18 05:57 EDT, Timon
no flags Details
pgadmin3.po RU (1.02 MB, text/plain)
2012-10-18 07:00 EDT, Timon
no flags Details

  None (edit)
Description Timon 2012-09-07 02:11:53 EDT
Description of problem:
use ru_RU/pgadmin3.po as testcase. program craches when try to save it

Version-Release number of selected component:
poedit-1.4.6.1-5.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        poedit pgadmin3.po
crash_function: __memmove_ssse3_back
kernel:         3.5.2-3.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 __memmove_ssse3_back at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S
: #1 memmove at /usr/include/bits/string3.h
: #2 __db_pitem_nolog at ../../db/db_dup.c
: #3 __db_pitem at ../../db/db_dup.c
: #4 __bam_iitem at ../../btree/bt_put.c
: #5 __ram_add at ../../btree/bt_recno.c
: #6 __ram_append at ../../btree/bt_recno.c
: #7 __db_put at ../../db/db_am.c
: #8 __db_put_pp at ../../db/db_iface.c
: #9 DbTrans::Write at transmem.cpp
Comment 1 Timon 2012-09-07 02:11:56 EDT
Created attachment 610626 [details]
File: core_backtrace
Comment 2 Timon 2012-09-07 02:11:59 EDT
Created attachment 610627 [details]
File: environ
Comment 3 Timon 2012-09-07 02:12:02 EDT
Created attachment 610628 [details]
File: backtrace
Comment 4 Timon 2012-09-07 02:12:04 EDT
Created attachment 610629 [details]
File: limits
Comment 5 Timon 2012-09-07 02:12:06 EDT
Created attachment 610630 [details]
File: cgroup
Comment 6 Timon 2012-09-07 02:12:09 EDT
Created attachment 610631 [details]
File: maps
Comment 7 Timon 2012-09-07 02:12:11 EDT
Created attachment 610632 [details]
File: dso_list
Comment 8 Timon 2012-09-07 02:12:13 EDT
Created attachment 610633 [details]
File: var_log_messages
Comment 9 Timon 2012-09-07 02:12:15 EDT
Created attachment 610634 [details]
File: open_fds
Comment 10 Fedora Update System 2012-10-12 12:00:38 EDT
poedit-1.5.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/poedit-1.5.4-1.fc18
Comment 11 Fedora Update System 2012-10-12 13:53:20 EDT
Package poedit-1.5.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poedit-1.5.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15998/poedit-1.5.4-1.fc18
then log in and leave karma (feedback).
Comment 12 Timon 2012-10-18 05:57:32 EDT
Created attachment 629284 [details]
stack trace
Comment 13 Timon 2012-10-18 05:57:47 EDT
I built poedit-1.5.4-3.fc18.src.rpm on my f17 linux box and catch this fault again

Program received signal SIGSEGV, Segmentation fault.
__memmove_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1579
1579            movdqu  -16(%rsi), %xmm0
Comment 14 Christoph Wickert 2012-10-18 06:59:09 EDT
Can you please attach the offending po file?
Comment 15 Timon 2012-10-18 07:00:51 EDT
Created attachment 629317 [details]
pgadmin3.po RU
Comment 16 Fedora End Of Life 2013-07-03 19:25:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Christopher Meng 2013-11-13 09:39:19 EST
Please update to latest version and see if still happen as well, otherwise I will close this.
Comment 18 Fedora End Of Life 2013-12-21 03:50:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Timon 2013-12-21 06:24:31 EST
(In reply to Christopher Meng from comment #17)
> Please update to latest version and see if still happen as well, otherwise I
> will close this.

poedit-1.5.4-6.fc19.x86_64 still crashes
Comment 20 Fedora End Of Life 2015-01-09 12:21:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2015-02-17 09:27:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.